Bug 773435 - Enabled event sources cause initial resource component start to time out
Enabled event sources cause initial resource component start to time out
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
All All
high Severity high (vote)
: ---
: RHQ 4.3.0
Assigned To: Jay Shaughnessy
Mike Foley
: 782796 (view as bug list)
Depends On:
Blocks: jon30-sprint10/rhq43-sprint10 784730
  Show dependency treegraph
Reported: 2012-01-11 15:05 EST by Jay Shaughnessy
Modified: 2013-09-01 06:13 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 784730 (view as bug list)
Last Closed: 2013-09-01 06:13:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jay Shaughnessy 2012-01-11 15:05:11 EST
Ever wonder why it takes a while to get your first batch of log file

During component start plugins that support event sources create the
logfile event pollers for enabled event sources.  Unfortunately the
poller creation is blocked because it is trying to use to the
eventManager to access Sigar.  This is because the initial
component start takes place during container initialization, which
holds a write lock and does not yet allow access to the managers. This
results in a 60 second timeout, waiting for the lock. Which in turn
(quietly) fails the component start.  Eventually the component will
be started again, when the pc for any reason tries to interact
with the resource container.  But the interrupted component start and
poller creation is not good, and can potentially introduce issues
depending on how well the plugin (and our poller code) is written.
Comment 1 Jay Shaughnessy 2012-01-11 16:57:00 EST
commit d1a4410a78bfbed7baa8b65b71abea0315a3fea0

lazily access sigar on the first polling, which happens after container

Test Notes
Perhaps not super-easy to test but with debug logging on the agent and
and an enabled event source (enable the built in event source for the
RHQ Server resource) you should see no related messages of any severity
for the component startup (at agent startup time). Also, the log
event generation should work as expected, generating an event for each 
server log entry (assuming the default settings)
Comment 2 Jay Shaughnessy 2012-01-18 12:29:16 EST
*** Bug 782796 has been marked as a duplicate of this bug. ***
Comment 3 Heiko W. Rupp 2013-09-01 06:13:29 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.